# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# C:\b\abs_2e_t0r5_ka\clone\recipe, last modified Mon Oct 16 22:07:51 2023
# ------------------------------------------------

package:
  name: bokeh
  version: 3.3.0
source:
  sha256: cdbe268f842c139ba8fa0fb43c0c55c172c8215ec5a69a2629482c63c9d4039c
  url: https://pypi.io/packages/source/b/bokeh/bokeh-3.3.0.tar.gz
build:
  entry_points:
    - bokeh = bokeh.__main__:main
  number: '0'
  script: C:\\b\\abs_2e_t0r5_ka\\croot\\bokeh_1697490493562\\_h_env\\python.exe -m
    pip install . --no-deps --no-build-isolation -vv
  string: py311h746a85d_0
requirements:
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.08.22 haa95532_0
    - colorama 0.4.6 py311haa95532_0
    - intel-openmp 2023.1.0 h59b6b97_46319
    - libffi 3.4.4 hd77b12b_0
    - mkl 2023.1.0 h6b88ed4_46357
    - mkl-service 2.4.0 py311h2bbff1b_1
    - mkl_fft 1.3.8 py311h2bbff1b_0
    - mkl_random 1.2.4 py311h59b6b97_0
    - numpy 1.23.5 py311h8631471_1
    - numpy-base 1.23.5 py311h4cfcc17_1
    - openssl 3.0.11 h2bbff1b_2
    - packaging 23.1 py311haa95532_0
    - pip 23.2.1 py311haa95532_0
    - python 3.11.5 he1021f5_0
    - setuptools 68.0.0 py311haa95532_0
    - setuptools-git-versioning 1.13.1 py311haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.41.2 py311haa95532_0
    - xz 5.4.2 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - contourpy >=1
    - jinja2 >=2.9
    - numpy >=1.23.5,<2.0a0
    - packaging >=16.8
    - pandas >=1.2
    - pillow >=7.1.0
    - python >=3.11,<3.12.0a0
    - pyyaml >=3.10
    - tornado >=5.1
    - xyzservices >=2021.09.1
test:
  commands:
    - pip check || cmd /K "exit /b 0"
    - bokeh --help
    - bokeh info
  imports:
    - bokeh
    - bokeh.application
    - bokeh.application.handlers
    - bokeh.client
    - bokeh.command
    - bokeh.command.subcommands
    - bokeh.core
    - bokeh.core.property
    - bokeh.core.validation
    - bokeh.models
    - bokeh.models.widgets
    - bokeh.plotting
    - bokeh.protocol
    - bokeh.protocol.messages
    - bokeh.sampledata
    - bokeh.server
    - bokeh.server.views
    - bokeh.sphinxext
    - bokeh.themes
    - bokeh.util
  requires:
    - pip
about:
  description: 'Bokeh is an interactive visualization library for modern web browsers.

    It provides elegant, concise construction of versatile graphics,

    and affords high-performance interactivity over large or streaming

    datasets. Bokeh can help anyone who would like to quickly and easily

    make interactive plots, dashboards, and data applications.

    '
  dev_url: https://github.com/bokeh/bokeh
  doc_url: https://docs.bokeh.org/en/latest/
  home: https://bokeh.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Bokeh is an interactive visualization library for modern web browsers.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2e5f5dc6-565c-4a11-8892-b950227df1e9
  recipe-maintainers:
    - almarklein
    - jakirkham
    - mattpap
    - ocefpaf
    - philippjfr
  remote_url: git@github.com:AnacondaRecipes/bokeh-feedstock.git
  sha: 54e771ac6e58dcabbcb55195f2e6a642f5557c7e
  skip-lints:
    - python_build_tool_in_run
